> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/configuration-ap-is/admin/update-an-integration/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Update an integration PUT https://api.propexo.com/v1/admin/integrations/{integration_id}/ Content-Type: application/json Update an integration Reference: https://docs.propexo.com/api-reference/configuration-ap-is/admin/update-an-integration ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Path parameters - `integration_id` (string, required) — The ID of the resource. ### Body (application/json) This endpoint expects a _v1_admin_integrations_{integration_id}__put_input. - `integration_vendor` (enum, optional) — The integration vendor - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST` - `credentials` (V1AdminIntegrationsIntegrationIdPutInputCredentials, optional) — JSON encoded credentials for accessing the integration vendor API - `name` (string, optional) — The name of the integration - `sync_frequency` (integer, optional) — The interval of the scheduled sync frequency. (e.g. "12" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false. - `sync_cadence` (enum, optional) — The cadence of the scheduled sync frequency. (e.g. "HOUR" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false. - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` - `max_request_cadence` (enum, optional, default: SECOND) — The cadence at which to limit the max request frequency. (e.g. "SECOND" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` - `max_request_frequency` (double, optional, default: 1) — The maximum number of requests sent to the PMS API per cadence unit. (e.g. "2" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute - `max_job_concurrency` (integer, optional, default: 1) — Maximum number of jobs that can be run at once for the integration. (e.g. "1" in the following: 1 request per 2 SECONDs) - `active` (boolean, optional) — The active state of the integration - `new_properties_are_enabled` (boolean, optional) — Whether or not properties need to be approved before ingesting data for them. - `custom_sync_schedule` (V1AdminIntegrationsIntegrationIdPutInputCustomSyncSchedule, optional) — A custom sync schedule configuration object - `use_custom_sync_schedule` (boolean, optional) — Opt-in to use the configured custom_sync_schedule - `system` (enum, optional, deprecated) — Deprecated: Do not use. - Allowed values: `PRODUCTION`, `SANDBOX` - `base_url` (string, optional, nullable, deprecated) — DEPRECATED. See specific PMS credentials for usage. - `allow_manual_syncs` (boolean, optional, default: true, deprecated) — Deprecated: This is no longer configurable and will always be true ## Response ### 200 Successful response - `result` (V1AdminIntegrationsIntegrationIdPutOutputResult, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### V1AdminIntegrationsIntegrationIdPutInputCredentials JSON encoded credentials for accessing the integration vendor API ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncSchedule A custom sync schedule configuration object - `type` (enum, required) - Allowed values: `WEEK_BASED` - `timezone` (enum, required) - Allowed values: `UTC`, `America/New_York`, `America/Chicago`, `America/Denver`, `America/Phoenix`, `America/Los_Angeles`, `America/Anchorage`, `Pacific/Honolulu` - `interval` (V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleInterval, required) ### V1AdminIntegrationsIntegrationIdPutOutputResult - `id` (string, required) — The unique identifier for the integration - `created_at` (string, required) — The date the integration was created - `updated_at` (string, required) — The date the integration was last updated - `name` (string, required, nullable) — The name of the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST` - `active` (boolean, required) — The active state of the integration - `system` (enum, required) — The system the integration is associated with - Allowed values: `PRODUCTION`, `SANDBOX` - `is_archived` (boolean, required) — Whether or not the integration is archived - `new_properties_are_enabled` (boolean, required) — Whether or not properties need to be approved before ingesting data for them. - `sync_frequency` (integer, required, nullable, deprecated) — Deprecated: See the job schedules endpoint for this information. The interval of the scheduled sync frequency. (e.g. "12" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false. - `sync_cadence` (enum, required, deprecated) — Deprecated: See the job schedules endpoint for this information. The cadence of the scheduled sync frequency. (e.g. "HOUR" in the following: Sync every 12 HOURs). This value will be used if the use_custom_schedule is set to false. - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` - `base_url` (string, required, nullable, deprecated) — DEPRECATED: see specific PMS credentials. Base URL for the integration vendor API - `max_request_cadence` (enum, optional, default: SECOND) — The cadence at which to limit the max request frequency. (e.g. "SECOND" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` - `max_request_frequency` (double, optional, default: 10) — The maximum number of requests sent to the PMS API per cadence unit. (e.g. "2" in the following: 1 request per 2 SECONDs). Requests cannot be made less frequently than once per minute - `max_job_concurrency` (integer, optional, default: 1) — Maximum number of jobs that can be run at once for the integration. (e.g. "1" in the following: 1 request per 2 SECONDs) - `custom_sync_schedule` (V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncSchedule, optional) - `use_custom_sync_schedule` (boolean, optional) — Opt-in to use the configured custom_sync_schedule - `allow_manual_syncs` (boolean, optional, default: true, deprecated) — Deprecated: This is no longer configurable and will always be true ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### Entrata Entrata authentication credentials - `apiKey` (string, required) - `companyId` (string, required) ### MRI MRI authentication credentials - `clientId` (string, required) - `databaseName` (string, required) - `partnerKey` (string, required) - `username` (string, required) - `password` (string, required) - `baseUrl` (string, required) ### Propertyware REST Propertyware REST authentication credentials - `clientId` (string, required) - `clientSecret` (string, required) - `systemId` (string, required) — The system/organization ID to query data from ### RealpageRegisteredVendor RealPage Registered Vendor authentication credentials - `PMC_ID` (string, required) - `SITE_ID` (string, required) - `LICENSE_KEY` (string, required) - `ONESITE_USERNAME` (string, required) - `ONESITE_PASSWORD` (string, optional) - `BASE_URL` (string, optional) - `ftp_credentials` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf4FtpCredentials, optional) ### Propertyware SOAP Propertyware SOAP authentication credentials - `username` (string, required) - `password` (string, required) ### RentManagerSandbox Rent Manager authentication credentials - `Username` (string, required) - `Password` (string, required) - `companyId` (string, required) ### RentManagerProduction Rent Manager authentication credentials - `PartnerToken` (string, required) - `companyId` (string, required) ### Buildium Buildium authentication credentials - `clientId` (string, required) - `secret` (string, required) ### Resman ResMan authentication credentials - `integrationPartnerId` (string, required) - `accountId` (string, required) - `apiKey` (string, required) ### AppFolio AppFolio authentication credentials - `clientId` (string, required) - `clientSecret` (string, required) - `developerId` (string, required) ### RealpagePartnerExchange RealPage Partner Exchange authentication credentials - `baseUrl` (string, required) - `licensekey` (string, required) - `pmcId` (string, optional) — This is also sometimes referred to as a "client ID" - `siteId` (string, optional) - `method_specific` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecific, optional) — If Realpage requires you to have method specific credentials, you can specify them per API method here ### EliseAI EliseAI authentication credentials - `apiKey` (string, required) ### Knock Knock authentication credentials - `apiKey` (string, required) ### Rentvine Rentvine authentication credentials - `apiKey` (string, required) - `apiSecret` (string, required) - `companyId` (string, required) - `portfolioId` (string, optional) ### Yardi Yardi PMS authentication credentials - `username` (string, required) - `password` (string, required) - `database` (string, required) - `serverName` (string, required) - `platform` (string, required) - `entity` (string, required) - `license` (string, required) - `companyId` (string, required) - `baseUrl` (string, optional) - `common_data` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15CommonData, optional) — Specific credentials for the common/resident data interface - `vendor_invoicing` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15VendorInvoicing, optional) — Specific credentials for the vendor invoicing interface - `job_cost` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15JobCost, optional) — Specific credentials for the job cost interface - `guest_card` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15GuestCard, optional) — Specific credentials for the guest card interface - `resident_transactions` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15ResidentTransactions, optional) — Specific credentials for the resident transactions interface - `service_requests` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15ServiceRequests, optional) — Specific credentials for the service requests interface ### Yardi REST Yardi REST authentication credentials - `username` (string, required) - `password` (string, required) - `apitoken` (string, required) - `interfaceEntity` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleInterval - `SUNDAY` (V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalSunday, optional) - `MONDAY` (V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalMonday, optional) - `TUESDAY` (V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalTuesday, optional) - `WEDNESDAY` (V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalWednesday, optional) - `THURSDAY` (V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalThursday, optional) - `FRIDAY` (V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalFriday, optional) - `SATURDAY` (V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalSaturday, optional) ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncSchedule - `type` (enum, required) - Allowed values: `WEEK_BASED` - `timezone` (enum, required) - Allowed values: `UTC`, `America/New_York`, `America/Chicago`, `America/Denver`, `America/Phoenix`, `America/Los_Angeles`, `America/Anchorage`, `Pacific/Honolulu` - `interval` (V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleInterval, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf4FtpCredentials - `SFTP_HOST` (string, required) - `SFTP_PORT` (double, required) - `SFTP_USERNAME` (string, required) - `SFTP_PASSWORD` (string, required) - `SFTP_DIR` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecific If Realpage requires you to have method specific credentials, you can specify them per API method here - `insertfollowup` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificInsertfollowup, optional) — The credentials specific to the insertfollowup on the Prospect Management interface. - `insertprospect` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificInsertprospect, optional) — The credentials specific to the insertprospect on the Prospect Management interface. - `insertactivity` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificInsertactivity, optional) — The credentials specific to the insertactivity on the Prospect Management interface. - `addresidentactivitylog` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificAddresidentactivitylog, optional) — The credentials specific to the addresidentactivitylog on the Collections interface. - `postsinglecharge` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificPostsinglecharge, optional) — The credentials specific to the postsinglecharge on the Transactions interface. - `addservicerequest` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificAddservicerequest, optional) — The credentials specific to the addservicerequest on the Facilities interface. - `getscheduledappointments` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetscheduledappointments, optional) — The credentials specific to the getscheduledappointments on the Prospect Management interface. - `getfloorplanlist` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetfloorplanlist, optional) — The credentials specific to the getfloorplanlist on the Pricing and Availability interface. - `prospectsearch` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificProspectsearch, optional) — The credentials specific to the prospectsearch on the Prospect Management interface. - `getactivitytypes` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetactivitytypes, optional) — The credentials specific to the getactivitytypes on the Prospect Management interface. - `getpicklistprospect` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetpicklistprospect, optional) — The credentials specific to the getpicklistprospect on the Prospect Management interface. - `getmarketingsourcesbyproperty` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetmarketingsourcesbyproperty, optional) — The credentials specific to the getmarketingsourcesbyproperty on the Prospect Management interface. - `getleaseinfo` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetleaseinfo, optional) — The credentials specific to the getleaseinfo on the Convergent Billing interface. - `getleasingagentsbyproperty` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetleasingagentsbyproperty, optional) — The credentials specific to the getleasingagentsbyproperty on the Prospect Management interface. - `getunitlist` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetunitlist, optional) — The credentials specific to the getunitlist on the Pricing and Availability interface. - `getsubscriptions` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetsubscriptions, optional) — The credentials specific to the getsubscriptions on the AppPartner interface. - `getprospectsurveylist` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetprospectsurveylist, optional) — The credentials specific to the getprospectsurveylist on the Survey Interfaces interface. - `getresidentlistinfo` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetresidentlistinfo, optional) — The credentials specific to the getresidentlistinfo on the Resident Management interface. - `getresidentconvergent` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetresidentconvergent, optional) — The credentials specific to the getresidentconvergent on the Convergent Billing interface. - `getresidentactivitytypes` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetresidentactivitytypes, optional) — The credentials specific to the getresidentactivitytypes on the Collections interface. - `getresidentsactivitylogbydaterange` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetresidentsactivitylogbydaterange, optional) — The credentials specific to the getresidentsactivitylogbydaterange on the Resident Management interface. - `getresidentledger` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetresidentledger, optional) — The credentials specific to the getresidentledger on the Transactions interface. - `transactioncodes` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificTransactioncodes, optional) — The credentials specific to the transactioncodes on the Transactions interface. - `getservicerequest` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetservicerequest, optional) — The credentials specific to the getservicerequest on the Facilities interface. - `getworkordersurveylist` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetworkordersurveylist, optional) — The credentials specific to the getworkordersurveylist on the Survey Interfaces interface. - `getserviceissuelist` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetserviceissuelist, optional) — The credentials specific to the getserviceissuelist on the Facilities interface. - `getlocationlist` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetlocationlist, optional) — The credentials specific to the getlocationlist on the Facilities interface. - `getwoprioritylist` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetwoprioritylist, optional) — The credentials specific to the getwoprioritylist on the Facilities interface. - `getunits` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetunits, optional) — The credentials specific to the getunits on the Convergent Billing interface. - `getunitsbyproperty` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetunitsbyproperty, optional) — The credentials specific to the getunitsbyproperty on the Prospect Management interface. - `unitlist` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificUnitlist, optional) — The credentials specific to the unitlist on the Units interface. - `updateprospect` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificUpdateprospect, optional) — The credentials specific to the updateprospect on the Prospect Management interface. - `updateservicerequest` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificUpdateservicerequest, optional) — The credentials specific to the updateservicerequest on the Facilities interface. - `getagentsappointmenttimes` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetagentsappointmenttimes, optional) — The credentials specific to the getagentsappointmenttimes on the Prospect Management interface. - `getsitelist` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetsitelist, optional) — The credentials specific to the getsitelist on the AppPartner interface. - `updatesitesubscriptionstatus` (V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificUpdatesitesubscriptionstatus, optional) — The credentials specific to the updatesitesubscriptionstatus on the AppPartner interface. ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15CommonData Specific credentials for the common/resident data interface - `entity` (string, required) - `license` (string, required) - `username` (string, optional) - `password` (string, optional) - `database` (string, optional) - `serverName` (string, optional) - `platform` (string, optional) - `companyId` (string, optional) - `baseUrl` (string, optional) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15VendorInvoicing Specific credentials for the vendor invoicing interface - `entity` (string, required) - `license` (string, required) - `username` (string, optional) - `password` (string, optional) - `database` (string, optional) - `serverName` (string, optional) - `platform` (string, optional) - `companyId` (string, optional) - `baseUrl` (string, optional) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15JobCost Specific credentials for the job cost interface - `entity` (string, required) - `license` (string, required) - `username` (string, optional) - `password` (string, optional) - `database` (string, optional) - `serverName` (string, optional) - `platform` (string, optional) - `companyId` (string, optional) - `baseUrl` (string, optional) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15GuestCard Specific credentials for the guest card interface - `entity` (string, required) - `license` (string, required) - `username` (string, optional) - `password` (string, optional) - `database` (string, optional) - `serverName` (string, optional) - `platform` (string, optional) - `companyId` (string, optional) - `baseUrl` (string, optional) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15ResidentTransactions Specific credentials for the resident transactions interface - `entity` (string, required) - `license` (string, required) - `username` (string, optional) - `password` (string, optional) - `database` (string, optional) - `serverName` (string, optional) - `platform` (string, optional) - `companyId` (string, optional) - `baseUrl` (string, optional) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf15ServiceRequests Specific credentials for the service requests interface - `entity` (string, required) - `license` (string, required) - `username` (string, optional) - `password` (string, optional) - `database` (string, optional) - `serverName` (string, optional) - `platform` (string, optional) - `companyId` (string, optional) - `baseUrl` (string, optional) ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalSunday - `slots` (list of V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalSundaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalMonday - `slots` (list of V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalMondaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalTuesday - `slots` (list of V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalTuesdaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalWednesday - `slots` (list of V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalWednesdaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalThursday - `slots` (list of V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalThursdaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalFriday - `slots` (list of V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalFridaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalSaturday - `slots` (list of V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalSaturdaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleInterval - `SUNDAY` (V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalSunday, optional) - `MONDAY` (V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalMonday, optional) - `TUESDAY` (V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalTuesday, optional) - `WEDNESDAY` (V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalWednesday, optional) - `THURSDAY` (V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalThursday, optional) - `FRIDAY` (V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalFriday, optional) - `SATURDAY` (V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalSaturday, optional) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificInsertfollowup The credentials specific to the insertfollowup on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificInsertprospect The credentials specific to the insertprospect on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificInsertactivity The credentials specific to the insertactivity on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificAddresidentactivitylog The credentials specific to the addresidentactivitylog on the Collections interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificPostsinglecharge The credentials specific to the postsinglecharge on the Transactions interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificAddservicerequest The credentials specific to the addservicerequest on the Facilities interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetscheduledappointments The credentials specific to the getscheduledappointments on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetfloorplanlist The credentials specific to the getfloorplanlist on the Pricing and Availability interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificProspectsearch The credentials specific to the prospectsearch on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetactivitytypes The credentials specific to the getactivitytypes on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetpicklistprospect The credentials specific to the getpicklistprospect on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetmarketingsourcesbyproperty The credentials specific to the getmarketingsourcesbyproperty on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetleaseinfo The credentials specific to the getleaseinfo on the Convergent Billing interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetleasingagentsbyproperty The credentials specific to the getleasingagentsbyproperty on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetunitlist The credentials specific to the getunitlist on the Pricing and Availability interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetsubscriptions The credentials specific to the getsubscriptions on the AppPartner interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetprospectsurveylist The credentials specific to the getprospectsurveylist on the Survey Interfaces interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetresidentlistinfo The credentials specific to the getresidentlistinfo on the Resident Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetresidentconvergent The credentials specific to the getresidentconvergent on the Convergent Billing interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetresidentactivitytypes The credentials specific to the getresidentactivitytypes on the Collections interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetresidentsactivitylogbydaterange The credentials specific to the getresidentsactivitylogbydaterange on the Resident Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetresidentledger The credentials specific to the getresidentledger on the Transactions interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificTransactioncodes The credentials specific to the transactioncodes on the Transactions interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetservicerequest The credentials specific to the getservicerequest on the Facilities interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetworkordersurveylist The credentials specific to the getworkordersurveylist on the Survey Interfaces interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetserviceissuelist The credentials specific to the getserviceissuelist on the Facilities interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetlocationlist The credentials specific to the getlocationlist on the Facilities interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetwoprioritylist The credentials specific to the getwoprioritylist on the Facilities interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetunits The credentials specific to the getunits on the Convergent Billing interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetunitsbyproperty The credentials specific to the getunitsbyproperty on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificUnitlist The credentials specific to the unitlist on the Units interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificUpdateprospect The credentials specific to the updateprospect on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificUpdateservicerequest The credentials specific to the updateservicerequest on the Facilities interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetagentsappointmenttimes The credentials specific to the getagentsappointmenttimes on the Prospect Management interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificGetsitelist The credentials specific to the getsitelist on the AppPartner interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCredentialsOneOf11MethodSpecificUpdatesitesubscriptionstatus The credentials specific to the updatesitesubscriptionstatus on the AppPartner interface. - `baseUrl` (string, required) - `licensekey` (string, required) ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalSundaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalMondaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalTuesdaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalWednesdaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalThursdaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalFridaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutInputCustomSyncScheduleIntervalSaturdaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalSunday - `slots` (list of V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalSundaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalMonday - `slots` (list of V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalMondaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalTuesday - `slots` (list of V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalTuesdaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalWednesday - `slots` (list of V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalWednesdaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalThursday - `slots` (list of V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalThursdaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalFriday - `slots` (list of V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalFridaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalSaturday - `slots` (list of V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalSaturdaySlotsItems, required) ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalSundaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalMondaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalTuesdaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalWednesdaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalThursdaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalFridaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ### V1AdminIntegrationsIntegrationIdPutOutputResultCustomSyncScheduleIntervalSaturdaySlotsItems - `start` (string, required) - `end` (string, required) - `sync_frequency` (integer, required) - `sync_cadence` (enum, required) - Allowed values: `MINUTE`, `HOUR`, `DAY`, `WEEK`, `MONTH`, `SECOND` ## Examples **Request** ```json {} ``` **Response** ```json { "result": { "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890", "created_at": "2023-11-01T09:15:00Z", "updated_at": "2024-06-10T16:45:00Z", "name": "AppFolio Integration - Downtown Properties", "integration_vendor": "APPFOLIO", "active": true, "system": "PRODUCTION", "is_archived": false, "new_properties_are_enabled": true, "sync_frequency": 15, "sync_cadence": "MINUTE", "base_url": "https://api.appfolio.com/v1", "max_request_cadence": "SECOND", "max_request_frequency": 10, "max_job_concurrency": 5, "custom_sync_schedule": { "type": "WEEK_BASED", "timezone": "America/New_York", "interval": { "SUNDAY": { "slots": [ { "start": "08:00", "end": "12:00", "sync_frequency": 30, "sync_cadence": "MINUTE" } ] }, "MONDAY": { "slots": [ { "start": "09:00", "end": "17:00", "sync_frequency": 15, "sync_cadence": "MINUTE" } ] }, "TUESDAY": { "slots": [ { "start": "09:00", "end": "17:00", "sync_frequency": 15, "sync_cadence": "MINUTE" } ] }, "WEDNESDAY": { "slots": [ { "start": "09:00", "end": "17:00", "sync_frequency": 15, "sync_cadence": "MINUTE" } ] }, "THURSDAY": { "slots": [ { "start": "09:00", "end": "17:00", "sync_frequency": 15, "sync_cadence": "MINUTE" } ] }, "FRIDAY": { "slots": [ { "start": "09:00", "end": "16:00", "sync_frequency": 15, "sync_cadence": "MINUTE" } ] }, "SATURDAY": { "slots": [ { "start": "10:00", "end": "14:00", "sync_frequency": 30, "sync_cadence": "MINUTE" } ] } } }, "use_custom_sync_schedule": true, "allow_manual_syncs": true } } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/admin/integrations/integration_id/" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/admin/integrations/integration_id/'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/admin/integrations/integration_id/" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/admin/integrations/integration_id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.propexo.com/v1/admin/integrations/integration_id/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://api.propexo.com/v1/admin/integrations/integration_id/', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/admin/integrations/integration_id/"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/admin/integrations/integration_id/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```